{ lib
, pkgs
, config
, ...
}:
{
  home = {
    username = "harald";
    homeDirectory = "/home/${config.home.username}";
    stateVersion = "23.11"; # Please read the comment before changing.
    sessionPath = [ "$HOME/bin" ];
  };

  nix.settings = {
    substituters = [ "https://cache.nixos.org" "https://attic.teepot.org/tee-pot" ];
    trusted-public-keys = [
      "cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY="
      "tee-pot:SS6HcrpG87S1M6HZGPsfo7d1xJccCGev7/tXc5+I4jg="
    ];
  };

  metacfg = {
    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = true;
      tmux.enable = true;
      bat.enable = true;
      starship.enable = true;
      home-manager.enable = true;
    };
    tools = {
      git.enable = true;
      direnv.enable = true;
      ssh.enable = true;
    };
  };
}

